> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update installed app



## OpenAPI

````yaml PUT /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId}
openapi: 3.0.3
info:
  title: KubernetesService API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId}:
    put:
      tags:
        - KubernetesApps
      summary: Update installed app
      parameters:
        - in: path
          name: accountId
          required: true
          schema:
            type: string
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: clusterId
          required: true
          schema:
            type: string
        - in: path
          name: appId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAppResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    UpdateAppRequest:
      type: object
      properties:
        app_version:
          type: string
        user_config:
          type: string
    UpdateAppResponse:
      type: object
      properties:
        installed_app:
          $ref: '#/components/schemas/InstalledAppDetails'
      required:
        - installed_app
    InstalledAppDetails:
      type: object
      properties:
        summary:
          $ref: '#/components/schemas/InstalledAppSummary'
        revisions:
          type: array
          items:
            $ref: '#/components/schemas/InstalledAppRevision'
      required:
        - summary
    InstalledAppSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/InstalledAppBase'
        status:
          $ref: '#/components/schemas/InstalledAppStatus'
      required:
        - base
        - status
    InstalledAppRevision:
      type: object
      properties:
        revision:
          type: string
        app_version:
          type: string
        status:
          $ref: '#/components/schemas/InstalledAppStatus'
        user_config:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status_conditions:
          $ref: '#/components/schemas/StatusConditions'
    InstalledAppBase:
      type: object
      properties:
        app_id:
          type: string
        cluster_id:
          type: string
        marketplace_app:
          $ref: '#/components/schemas/MarketplaceAppBase'
      required:
        - app_id
        - cluster_id
    InstalledAppStatus:
      type: string
      enum:
        - INSTALLED_APP_STATUS_UNSPECIFIED
        - INSTALLED_APP_STATUS_SUCCESS
        - INSTALLED_APP_STATUS_FAILURE
        - INSTALLED_APP_STATUS_STALLED
        - INSTALLED_APP_STATUS_DEPRECATED
        - INSTALLED_APP_STATUS_DELETING
        - INSTALLED_APP_STATUS_DELETED
    StatusConditions:
      type: object
      properties:
        crds:
          type: array
          items:
            $ref: '#/components/schemas/AppCrd'
    MarketplaceAppBase:
      type: object
      properties:
        app_name:
          type: string
        display_name:
          type: string
        description:
          type: string
        icon_url:
          type: string
        documentation_url:
          type: string
    AppCrd:
      type: object
      properties:
        crd:
          type: string
        reasons:
          type: array
          items:
            $ref: '#/components/schemas/StatusReason'
    StatusReason:
      type: object
      properties:
        reason:
          type: string
        status:
          $ref: '#/components/schemas/InstalledAppStatus'
        last_updated:
          type: string
          format: date-time
        message:
          type: string

````